gtkmm: Gtk::RecentChooserError Class Reference

gtkmm 3.24.8

Public Types | Public Member Functions | List of all members
Gtk::RecentChooserError Class Reference

Exception class for Gtk::RecentChooser errors. More...

`#include <gtkmm/recentchooser.h>`

Inheritance diagram for Gtk::RecentChooserError:
[legend]

## Public Types
enum | Code { NOT_FOUND , INVALID_URI }
| These identify the various errors that can occur while calling Gtk::RecentChooser functions. More...

## Public Member Functions
| RecentChooserError (Code error_code, const Glib::ustring & error_message)
| RecentChooserError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0
virtual Glib::ustring | what () const=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gtk::RecentChooser errors.

## Member Enumeration Documentation

## ◆ Code

enum Gtk::RecentChooserError::Code

These identify the various errors that can occur while calling Gtk::RecentChooser functions.

Since gtkmm 2.10:

Enumerator
NOT_FOUND | Indicates that a file does not exist.
INVALID_URI | Indicates a malformed URI.

## Constructor & Destructor Documentation

## ◆ RecentChooserError() [1/2]

Gtk::RecentChooserError::RecentChooserError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ RecentChooserError() [2/2]

Gtk::RecentChooserError::RecentChooserError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gtk::RecentChooserError::code | ( |  | ) | const